Summary: Stub rpm to set up LONCAPA dependencies
Name: LONCAPA-prerequisites
Version: 1
Release: 18.rhel6
License: GPL
Group: Applications/Internet
URL: www.loncapa.org
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: httpd gd perl perl-GD perl-GD-Barcode perl-GDGraph perl-GD-Graph3d perl-GDTextUtil ImageMagick ImageMagick-perl perl-suidperl mod_perl mysql mysql-server perl-DBD-MySQL perl-DBI perl-Algorithm-Diff perl-Authen-Krb5 perl-Authen-PAM perl-Crypt-DES perl-Crypt-IDEA perl-Crypt-SSLeay perl-Event perl-HTML-Parser_loncapa perl-HTML-Tree perl-IO-Socket-SSL perl-IO-stringy perl-MailTools perl-Math-Cephes perl-Math-Random perl-Net-PH perl-Net-SSLeay perl-OLE-Storage_Lite perl-Parse-RecDescent perl-Pod-POM perl-PostScript-Simple perl-Safe-Hole perl-Spreadsheet-WriteExcel perl-String-Similarity perl-String-CRC32 perl-Text-Aspell perl-Text-Query perl-TimeDate aspell perl-IO-Socket-SSL perl-MIME-Lite perl-MIME-Types zip unzip perl-libwww-perl ghostscript ntp at gnuplot which perl-Cache-Memcached memcached mailx perl-DateManip perl-Expect perl-IO-Tty maxima maxima-runtime-sbcl perl-DateTime perl-Authen-Captcha perl-XML-DOM perl-File-MMagic perl-RTF-HTMLConverter perl-Image-Size perl-Image-Info texlive texlive-latex texlive-dvips texlive-acrotex perl-CAM-PDF R-core R-phpSerialize perl-Tie-IxHash-Easy R R-alr3 R-car R-Hmisc R-leaps R-lmtest R-qAnalyst R-quadprog R-SuppDists R-zoo perl perl-XML-LibXML a2ps perl-CGI
# Requirements for compilation of CAPA
Requires: bison flex swig
# Next require is just for installation of pwauth in the install script.
Requires: gcc patch
Requires: gnuplot >= 4.2
Conflicts: mod_throttle mod_bandwidth
# Notes on requirements: Net::SMTP/perl-libnet is provided in perl-5.8.3

%description
LONCAPA-prerequisites configures a system to run LON-CAPA.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README


%changelog
* Wed Dec 29 2010  <raeburn at loncapa.org> - 
- Initial build.

